<?php

if (! isset($wp_did_header)):
if ( !file_exists( dirname(__FILE__) . '/wp-config.php') ) {
	if (strpos($_SERVER['PHP_SELF'], 'wp-admin') !== false) $path = '';
	else $path = 'wp-admin/';
	
	require_once( dirname(__FILE__) . '/wp-includes/classes.php');
	require_once( dirname(__FILE__) . '/wp-includes/functions.php');
	require_once( dirname(__FILE__) . '/wp-includes/plugin.php');
	wp_die("O ficheiro de configuração <code>wp-config.php</code> não foi encontrado. Este ficheiro é necessário para a instalação (para mais informações, consulte <a href='http://codex.wordpress.org/Editing_wp-config.php'>a FAQ sobre o ficheiro wp-config.php</a>). Poderá <a href='{$path}setup-config.php'>criar um ficheiro <code>wp-config.php</code> através da interface Web</a>, contudo, este procedimento não funciona com todas as configurações de servidor. O procedimento mais eficaz é criar o ficheiro manualmente.", "WordPress &rsaquo; Erro");
}

$wp_did_header = true;

require_once( dirname(__FILE__) . '/wp-config.php');

wp();
gzip_compression();

require_once(ABSPATH . WPINC . '/template-loader.php');

endif;

?>
